<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>IDP Bridge</title>

    <!--    <link th:rel="stylesheet" th:href="@{webjars/bootstrap/4.0.0-2/css/bootstrap.min.css} "/>-->
    <!--    <link th:rel="stylesheet" th:href="@{webjars/font-awesome/5.11.2/css/all.css} "/>-->
    <link th:rel="stylesheet" th:href="@{webjars/bootstrap/css/bootstrap.min.css} "/>
    <link th:rel="stylesheet" th:href="@{webjars/font-awesome/css/all.css} "/>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap" rel="stylesheet">
    <style>
        body, html {
            height: 100%; /* Make sure body takes full viewport height */
            margin: 0;    /* Remove default margin */
            display: flex;
            align-items: flex-start; /* Align items vertically */
            justify-content: center; /* Align items horizontally */
            /*background: #e0e0e0;*/
            background-image: url("/assets/images/bg3.JPG");
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            padding-top: 50px;
            font-family: 'Montserrat', sans-serif;
        }

        h4 {
            font-family: 'Montserrat', sans-serif;
            font-weight: 700;  // Bold
        }

        .card {
            width: 30rem;
            background-color: white; /* White background for the card */
            box-shadow: 0 4px 8px rgba(0,0,0,0.1); /* Subtle shadow for 3D effect */
            border-radius: 8px; /* Optional: rounded corners */
        }

        .visually-hidden {
            position: absolute;
            width: 1px;
            height: 1px;
            margin: -1px;
            padding: 0;
            overflow: hidden;
            clip: rect(0, 0, 0, 0);
            border: 0;
        }
    </style>
</head>
<body>
<div>
    <div class="card mt-5" style="width: 30rem;">

        <div class="card-header">
            <h4>Sign in your account</h4>
        </div>

        <div class="card-body m-lg-3">
            <form class="ps-3" id="authentication_form" th:action="@{/login}" method="get">
                <div class="form-group my-2">

                    <div class="custom-control custom-radio ps-5">
                        <input type="radio" id="pwd" name="authentication" class="custom-control-input"
                               value="/login">
                        <label class="custom-control-label" for="pwd">LDAP Authentication</label>
                    </div>

                    <div class="custom-control custom-radio ps-5">
                        <input type="radio" id="oid4vp" name="authentication" class="custom-control-input"
                               value="/openid4vp/qr" checked>
                        <label class="custom-control-label" for="oid4vp">OID4VP Authentication</label>
                    </div>

                    <div class="custom-control custom-radio ps-5">
                        <input type="radio" id="openid-google" name="authentication"
                               class="custom-control-input" value="/oauth2/authorization/google-idp"/>
                        <label class="custom-control-label" for="openid-google">Google Identity Provider</label>
                    </div>

                    <div class="custom-control custom-radio ps-5">
                        <input type="radio" id="openid-github" name="authentication"
                               class="custom-control-input" value="/oauth2/authorization/github-idp"/>
                        <label class="custom-control-label" for="openid-github">Github Identity Provider</label>
                    </div>
                </div>


                <div class="form-group">
                    <div class="custom-control custom-radio visually-hidden">
                        <input type="radio" id="scope" name="scope" class="custom-control-input"
                               th:value="${scope}" checked>
                        <label class="custom-control-label" for="scope"></label>
                    </div>
                </div>
                <div class="ps-5">
                    <button class="btn btn-primary center" type="submit">Authenticate</button>
                </div>
            </form>
        </div>

    </div>
</div>
<script th:src="@{/webjars/jquery/jquery.min.js}"></script>
<script th:src="@{/webjars/popper.js/umd/popper.min.js}"></script>
<script th:src="@{/webjars/bootstrap/js/bootstrap.min.js}"></script>
<script>

    //const scope = [[${scope}]];
    // function selectAuthenticationMethod(){
    //     let form = document.getElementById("authentication_form");
    //     let selectedMethodName = document.querySelector('input[name="authentication"]:checked').value;
    //     console.log(`Selected Option is ${selectedMethodName}`)
    //     alert(selectedMethodName);
    //     form.action = selectedMethodName;
    // }


    document.getElementById("authentication_form").addEventListener('submit', function (event) {
        //event.preventDefault();
        const selectedMethod = document.querySelector('input[name="authentication"]:checked').value;
        console.log(`Selected authentication method:  ${selectedMethod}`);
        //alert(selectedMethod);
        this.action = selectedMethod;
        // let redirectUrl;
        // if(selectedMethod === "/login"){
        //     redirectUrl = selectedMethod;
        // } else {
        //     redirectUrl = `${selectedMethod}?scope=${scope}`
        // }
        // alert(redirectUrl);
        //window.location.href = selectedMethod;
        // this.action = selectedMethod;
    })
</script>
</body>
</html>